<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Админка' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'my_city_a' WHERE `id` = '".$id_session."'");
####################################################
if ( $user['level'] >= 4 ) {



If (!isset($_GET['mod']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['mod'])) $mod=false; else $mod=$_GET['mod'];

switch ($mod) {


default :

If (!isset($_POST['ok']) || !preg_match("!^[a-z]+$!i",$_POST['ok'])) $ok=false; else $ok=$_POST['ok'];
if ( $ok == 'ok' ) {
mysql_query( "UPDATE `my_city_settings` SET `initial_money` = '$_POST[initial_money]', `home_money` = '$_POST[home_money]', `home_people` = '$_POST[home_people]', `rekl_money` = '$_POST[rekl_money]', `people_money` = '$_POST[people_money]', `neighbor_1` = '$_POST[neighbor_1]', `neighbor_2` = '$_POST[neighbor_2]', `neighbor_3` = '$_POST[neighbor_3]' WHERE `id` = '1'");
echo '<b>Настройки изменены</b><br/>';
}

$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_city_settings` LIMIT 1"));

echo "<form action='?' method='post'>
Начальные деньги: <br />
<input type='text' name='initial_money' value='$s[initial_money]' maxlength='30' /> <br />
Начальная стоимость дома: <br />
<input type='text' name='home_money' value='$s[home_money]' maxlength='30' /> <br />
Начальное кол. жителей в доме: <br />
<input type='text' name='home_people' value='$s[home_people]' maxlength='30' /> <br />
Стоимость привлечения жителя: <br />
<input type='text' name='rekl_money' value='$s[rekl_money]' maxlength='30' /> <br />
Зарплата с одного жителя: <br />
<input type='text' name='people_money' value='$s[people_money]' maxlength='30' /> <br />
Стоимость разбития стекл: <br />
<input type='text' name='neighbor_1' value='$s[neighbor_1]' maxlength='30' /> <br />
Стоимость разрисовывания стен: <br />
<input type='text' name='neighbor_2' value='$s[neighbor_2]' maxlength='30' /> <br />
Стоимость обризания электропроводки: <br />
<input type='text' name='neighbor_3' value='$s[neighbor_3]' maxlength='30' /> <br />
<input type='hidden' name='ok' value='ok' />

<input type='submit' value='Изменить' /></form> <br />   

<a href='/my_city.php'>В игру</a> <br />
<br />";
break;

}
}


navig();
foot();
?>